## inkscape-0.92.1-1-src.tar.xz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.0)

message("------------------------------")
message("Building Makefile for Inkscape")
message("------------------------------")
message("Source Dir: ${CMAKE_CURRENT_SOURCE_DIR}")
message("Binary Dir: ${CMAKE_CURRENT_BINARY_DIR}")

include(CMakeScripts/HelperFunctions.cmake)
include(CMakeScripts/ConfigEnv.cmake)

# -----------------------------------------------------------------------------
# CMake Configuration
# -----------------------------------------------------------------------------
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMakeScripts/Modules")

# avoid having empty buildtype
set(CMAKE_BUILD_TYPE_INIT "Release")

project(inkscape)

set(INKSCAPE_VERSION 0.92.1)
set(PROJECT_NAME inkscape)
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

if(APPLE)
    SET(CMAKE_MACOSX_RPATH TRUE)
    SET(CMAKE_INSTALL_RPATH "@loader_path/../lib/inkscape")
else()
    SET(CMAKE_INSTALL_RPATH "$ORIGIN/../lib/inkscape")
endif()

cmake_policy(SET CMP0003 NEW) # don't be prolific with library paths
cmake_policy(SET CMP0005 NEW) # proper define quoting
cmake_policy(SET CMP0009 NEW) # don't follow symbolic links when using GLOB

# workaround for omission in cmake 2.8.4's GNU.cmake, fixed in 2.8.5
if(CMAKE_COMPILER_IS_GNUCC)
    if(NOT DARWIN)
	set(CMAKE_INCLUDE_SYSTEM_FLAG_C "-isystem ")
    endif()
endif()


# -----------------------------------------------------------------------------
# Redirect output files
# -----------------------------------------------------------------------------
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "" )
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "" )

# -----------------------------------------------------------------------------
# Options
# -----------------------------------------------------------------------------
option(WITH_DBUS "Compile with support for DBus interface" OFF)
option(ENABLE_LCMS "Compile with LCMS support" ON)
option(WITH_GNOME_VFS "Compile with support for Gnome VFS" ON)
option(WITH_SVG2 "Compile with support for new SVG2 features" ON)
option(WITH_LPETOOL "Compile with LPE Tool and experimental LPEs enabled" OFF)
#option(WITH_INKJAR "Enable support for openoffice files (SVG jars)" ON)
option(WITH_OPENMP "Compile with OpenMP support" ON)

option(WITH_PROFILING "Turn on profiling" OFF) # Set to true if compiler/linker should enable profiling

option(ENABLE_POPPLER "Compile with support of libpoppler" ON)
option(ENABLE_POPPLER_CAIRO "Compile with support of libpoppler-cairo for rendering PDF preview (depends on ENABLE_POPPLER)" ON)
option(WITH_IMAGE_MAGICK "Compile with support of ImageMagick for raster extensions and image import resolution" ON)
option(WITH_LIBCDR "Compile with support of libcdr for CorelDRAW Diagrams" ON)
option(WITH_LIBVISIO "Compile with support of libvisio for Microsoft Visio Diagrams" ON)
option(WITH_LIBWPG "Compile with support of libwpg for WordPerfect Graphics" ON)
option(WITH_NLS "Compile with Native Language Support (using gettext)" ON)
option(WITH_GTK3_EXPERIMENTAL "Enable compilation with GTK+3 (EXPERIMENTAL!)" OFF)

option(ENABLE_BINRELOC "Enable relocatable binaries" OFF)

include(CMakeScripts/ConfigPaths.cmake) # Installation Paths

# -----------------------------------------------------------------------------
# Test Harness
# -----------------------------------------------------------------------------
set(GMOCK_DIR "${CMAKE_SOURCE_DIR}/gtest/gmock-1.7.0"
    CACHE PATH "The path to the GoogleMock test framework.")

if(EXISTS "${GMOCK_DIR}" AND IS_DIRECTORY "${GMOCK_DIR}")
    set(GMOCK_PRESENT ON)
else()
    set(GMOCK_PRESENT OFF)
    message("No gmock/gtest found! Perhaps you wish to run 'bash download-gtest.sh' to download it.")
endif()

include(CMakeScripts/DefineDependsandFlags.cmake) # Includes, Compiler Flags, and Link Libraries
include(CMakeScripts/HelperMacros.cmake) # Misc Utility Macros


# -----------------------------------------------------------------------------
# BAD HACKS, NEED TO INVESTIGATE MAKING THESE LESS BAD
add_definitions(-D_FORTIFY_SOURCE=2)
add_definitions(-DORBIT2=1)
add_definitions(-DHAVE_CONFIG_H)
add_definitions(-DHAVE_CAIRO_PDF=1)  # needed for src/libnrtype/Layout-TNG.h
add_definitions(-DHAVE_TR1_UNORDERED_SET) # XXX make an option!
if(NOT WIN32)
    add_definitions(-fPIC)
endif()
#
# end badness
# -----------------------------------------------------------------------------

# -----------------------------------------------------------------------------
# Relocatable Binary
# -----------------------------------------------------------------------------

if (ENABLE_BINRELOC)
	add_definitions(-DENABLE_BINRELOC)
endif()

# -----------------------------------------------------------------------------
# Dist Target
# -----------------------------------------------------------------------------
if(EXISTS ${CMAKE_SOURCE_DIR}/.bzr/)
    execute_process(COMMAND
        bzr revno --tree ${CMAKE_SOURCE_DIR}
                OUTPUT_VARIABLE INKSCAPE_REVISION
                OUTPUT_STRIP_TRAILING_WHITESPACE)
else()
    set(INKSCAPE_REVISION "unknown")
endif()
set(INKSCAPE_DIST_PREFIX "${PROJECT_NAME}-${INKSCAPE_VERSION}")
add_custom_target(dist
    COMMAND sed -i "s/unknown/r${INKSCAPE_REVISION}/" CMakeScripts/inkscape-version.cmake
    && sed -i "s/custom//" CMakeScripts/inkscape-version.cmake
    && bzr export --uncommitted --root=${INKSCAPE_DIST_PREFIX}
    "${CMAKE_BINARY_DIR}/${INKSCAPE_DIST_PREFIX}.tar.bz2" 
    && bzr revert ${CMAKE_SOURCE_DIR}/CMakeScripts/inkscape-version.cmake
    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}")

# -----------------------------------------------------------------------------
# Uninstall Target
# -----------------------------------------------------------------------------
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


# -----------------------------------------------------------------------------
# Subdirs (on only 1 atm), but a lot happens here
# -----------------------------------------------------------------------------
add_subdirectory(src)

if(ENABLE_NLS)
    add_subdirectory(po)
endif(ENABLE_NLS)

# -----------------------------------------------------------------------------
# Man pages
# -----------------------------------------------------------------------------
if(NOT WIN32)
	include("CMakeScripts/Pod2man.cmake")

	# Load AUTHORS file contents into $INKSCAPE_AUTHORS
	file(READ ${CMAKE_CURRENT_SOURCE_DIR}/AUTHORS content)
	string(REGEX REPLACE "^([^\n#]+)\n" "\\1;\n" content_list "${content}")
	
	join(INKSCAPE_AUTHORS "," "${content_list}")

	foreach(podfile
			man/inkscape.pod
			man/inkscape.de.pod
			man/inkscape.el.pod
			man/inkscape.fr.pod
			man/inkscape.ja.pod
			man/inkscape.sk.pod
			man/inkscape.zh_TW.pod
			man/inkview.pod)
			
		set(POD_IN ${CMAKE_CURRENT_SOURCE_DIR}/${podfile}.in)
		set(POD_OUT ${CMAKE_CURRENT_BINARY_DIR}/${podfile})
		
		configure_file(${POD_IN} ${POD_OUT})
		
		pod2man(${POD_OUT} ${INKSCAPE_VERSION} 1 "Inkscape Commands Manual")
	endforeach()
endif()

# -----------------------------------------------------------------------------
# Installation
# -----------------------------------------------------------------------------
add_subdirectory(share)
	
include(CMakeScripts/Install.cmake)

# -----------------------------------------------------------------------------
# Clean
# -----------------------------------------------------------------------------
add_custom_target(clean-cmake-files
    COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/CMakeScripts/CleanAll.cmake"
)

add_custom_target(clean-all
    COMMAND ${CMAKE_BUILD_TOOL} clean
    COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/CMakeScripts/CleanAll.cmake"
)

#-----------------------------------------------------------------------------
if(GMOCK_PRESENT)
    set(CMAKE_CTEST_COMMAND ctest -V)
    enable_testing()
    add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
    add_subdirectory(testfiles)
endif()

# Canonicalize the flags to speed up recompilation using ccache/etc.
# This should be the last thing we do:
include(CMakeScripts/CanonicalizeFlagsVar.cmake)
canonicalize_flags_var("${CMAKE_CXX_FLAGS}" _new_cxx)
set(CMAKE_CXX_FLAGS "${_new_cxx}" CACHE STRING "" FORCE)
# message(FATAL_ERROR "CMAKE_CXX_FLAGS = <${CMAKE_CXX_FLAGS}>")


# ----------------------------------------------------------------------
# Information Summary
# ----------------------------------------------------------------------
message("------------------------------------------------------------------------")
message("Configuration Summary")
message("------------------------------------------------------------------------")
# project info
message("PROJECT_NAME:            ${PROJECT_NAME}")
message("INKSCAPE_VERSION:        ${INKSCAPE_VERSION}")
message("INKSCAPE_DIST_PREFIX:    ${INKSCAPE_DIST_PREFIX}")
message("")

# cmake info
message("CMAKE_BINARY_DIR:        ${CMAKE_BINARY_DIR}")
message("CMAKE_INSTALL_PREFIX:    ${CMAKE_INSTALL_PREFIX}")
message("PACKAGE_LOCALE_DIR       ${PACKAGE_LOCALE_DIR}")
message("CMAKE_SYSTEM_NAME:       ${CMAKE_SYSTEM_NAME}")
message("CMAKE_SYSTEM_VERSION:    ${CMAKE_SYSTEM_VERSION}")
message("CMAKE_SYSTEM_PROCESSOR:  ${CMAKE_SYSTEM_PROCESSOR}")
message("CMAKE_C_COMPILER:        ${CMAKE_C_COMPILER}")
message("CMAKE_CXX_COMPILER:      ${CMAKE_CXX_COMPILER}")
message("CMAKE_BUILD_TYPE:        ${CMAKE_BUILD_TYPE}")
message("")

if(WIN32)
message("CMAKE_PREFIX_PATH:           ${CMAKE_PREFIX_PATH}")
message("CMAKE_FIND_LIBRARY_PREFIXES: ${CMAKE_FIND_LIBRARY_PREFIXES}")
message("CMAKE_FIND_LIBRARY_SUFFIXES: ${CMAKE_FIND_LIBRARY_SUFFIXES}")
message("")
endif()

# dependency info
message("ENABLE_LCMS:             ${ENABLE_LCMS}")
message("ENABLE_POPPLER:          ${ENABLE_POPPLER}")
message("ENABLE_POPPLER_CAIRO:    ${ENABLE_POPPLER_CAIRO}")
message("GMOCK_PRESENT:           ${GMOCK_PRESENT}")
message("WITH_DBUS:               ${WITH_DBUS}")
message("WITH_GNOME_VFS:          ${WITH_GNOME_VFS}")
message("WITH_GTK3_EXPERIMENTAL:  ${WITH_GTK3_EXPERIMENTAL}")
message("WITH_GTKSPELL:           ${WITH_GTKSPELL}")
message("WITH_IMAGE_MAGICK:       ${WITH_IMAGE_MAGICK}")
message("WITH_LIBCDR:             ${WITH_LIBCDR}")
message("WITH_LIBVISIO:           ${WITH_LIBVISIO}")
message("WITH_LIBWPG:             ${WITH_LIBWPG}")
message("WITH_NLS:                ${WITH_NLS}")
message("WITH_OPENMP:             ${WITH_OPENMP}")
message("WITH_PROFILING:          ${WITH_PROFILING}")

if(WIN32)
message("")
message("HAVE_MINGW:              ${HAVE_MINGW}")
message("HAVE_MINGW64:            ${HAVE_MINGW64}")
message("MINGW_PATH:              ${MINGW_PATH}")
message("MINGW_ARCH:              ${MINGW_ARCH}")
message("MINGW_ARCH_PATH:         ${MINGW_ARCH_PATH}")
message("MINGW64_INCLUDE:         ${MINGW64_INCLUDE}")
message("MINGW64_LIB:             ${MINGW64_LIB}")
message("DEVLIBS_PATH:            ${DEVLIBS_PATH}")
message("DEVLIBS_LIB:             ${DEVLIBS_LIB}")
message("DEVLIBS_BIN:             ${DEVLIBS_BIN}")
message("PKG_CONFIG_PATH:         ${PKG_CONFIG_PATH}")
message("GS_PATH                  ${GS_PATH}")
message("GS_BIN                   ${GS_BIN}")
endif()

message("------------------------------------------------------------------------")

=== src/CMakeLists.txt ===
# -----------------------------------------------------------------------------
# Define the main source
# -----------------------------------------------------------------------------

set(sp_SRC
  attribute-rel-css.cpp
  attribute-rel-svg.cpp
  attribute-rel-util.cpp
  attribute-sort-util.cpp
  sp-anchor.cpp
  sp-clippath.cpp
  sp-conn-end-pair.cpp
  sp-conn-end.cpp
  sp-cursor.cpp
  sp-defs.cpp
  sp-desc.cpp
  sp-ellipse.cpp
  sp-factory.cpp
  sp-filter-primitive.cpp
  sp-filter-reference.cpp
  sp-filter.cpp
  sp-flowdiv.cpp
  sp-flowregion.cpp
  sp-flowtext.cpp
  sp-font-face.cpp
  sp-font.cpp
  sp-glyph-kerning.cpp
  sp-glyph.cpp
  sp-gradient-reference.cpp
  sp-gradient.cpp
  sp-guide.cpp
  sp-hatch-path.cpp
  sp-hatch.cpp
  sp-image.cpp
  sp-item-group.cpp
  sp-item-notify-moveto.cpp
  sp-item-rm-unsatisfied-cns.cpp
  sp-item-transform.cpp
  sp-item-update-cns.cpp
  sp-item.cpp
  sp-line.cpp
  sp-linear-gradient.cpp
  sp-lpe-item.cpp
  sp-marker.cpp
  sp-mask.cpp
  sp-mesh-array.cpp
  sp-mesh-gradient.cpp
  sp-mesh-patch.cpp
  sp-mesh-row.cpp
  sp-metadata.cpp
  sp-missing-glyph.cpp
  sp-namedview.cpp
  sp-object-group.cpp
  sp-object.cpp
  sp-offset.cpp
  sp-paint-server.cpp
  sp-path.cpp
  sp-pattern.cpp
  sp-polygon.cpp
  sp-polyline.cpp
  sp-radial-gradient.cpp
  sp-rect.cpp
  sp-root.cpp
  sp-script.cpp
  sp-shape.cpp
  sp-solid-color.cpp
  sp-spiral.cpp
  sp-star.cpp
  sp-stop.cpp
  sp-string.cpp
  sp-style-elem.cpp
  sp-switch.cpp
  sp-symbol.cpp
  sp-tag-use-reference.cpp
  sp-tag-use.cpp
  sp-tag.cpp
  sp-text.cpp
  sp-title.cpp
  sp-tref-reference.cpp
  sp-tref.cpp
  sp-tspan.cpp
  sp-use-reference.cpp
  sp-use.cpp
  splivarot.cpp
  viewbox.cpp

  # -------
  # Headers
  attribute-rel-css.h
  attribute-rel-svg.h
  attribute-rel-util.h
  attribute-sort-util.h
  sp-anchor.h
  sp-clippath.h
  sp-conn-end-pair.h
  sp-conn-end.h
  sp-cursor.h
  sp-defs.h
  sp-desc.h
  sp-ellipse.h
  sp-factory.h
  sp-filter-primitive.h
  sp-filter-reference.h
  sp-filter-units.h
  sp-filter.h
  sp-flowdiv.h
  sp-flowregion.h
  sp-flowtext.h
  sp-font-face.h
  sp-font.h
  sp-glyph-kerning.h
  sp-glyph.h
  sp-gradient-reference.h
  sp-gradient-spread.h
  sp-gradient-test.h
  sp-gradient-units.h
  sp-gradient-vector.h
  sp-gradient.h
  sp-guide-attachment.h
  sp-guide-constraint.h
  sp-guide.h
  sp-hatch-path.h
  sp-hatch.h
  sp-image.h
  sp-item-group.h
  sp-item-notify-moveto.h
  sp-item-rm-unsatisfied-cns.h
  sp-item-transform.h
  sp-item-update-cns.h
  sp-item.h
  sp-line.h
  sp-linear-gradient.h
  sp-lpe-item.h
  sp-marker-loc.h
  sp-marker.h
  sp-mask.h
  sp-mesh-array.h
  sp-mesh-gradient.h
  sp-mesh-patch.h
  sp-mesh-row.h
  sp-metadata.h
  sp-missing-glyph.h
  sp-namedview.h
  sp-object-group.h
  sp-object.h
  sp-offset.h
  sp-paint-server-reference.h
  sp-paint-server.h
  sp-path.h
  sp-pattern.h
  sp-polygon.h
  sp-polyline.h
  sp-radial-gradient.h
  sp-rect.h
  sp-root.h
  sp-script.h
  sp-shape.h
  sp-solid-color.h
  sp-spiral.h
  sp-star.h
  sp-stop.h
  sp-string.h
  sp-style-elem-test.h
  sp-style-elem.h
  sp-switch.h
  sp-symbol.h
  sp-tag.h
  sp-tag-use.h
  sp-tag-use-reference.h
  sp-text.h
  sp-textpath.h
  sp-title.h
  sp-tref-reference.h
  sp-tref.h
  sp-tspan.h
  sp-use-reference.h
  sp-use.h
  viewbox.h
)

set(inkscape_SRC
  attributes.cpp
  axis-manip.cpp
  box3d-side.cpp
  box3d.cpp
  color-profile.cpp
  color.cpp
  composite-undo-stack-observer.cpp
  conditions.cpp
  conn-avoid-ref.cpp
  console-output-undo-observer.cpp
  context-fns.cpp
  desktop-events.cpp
  desktop-style.cpp
  desktop.cpp
  device-manager.cpp
  dir-util.cpp
  document-subset.cpp
  document-undo.cpp
  document.cpp
  ege-color-prof-tracker.cpp
  event-log.cpp
  extract-uri.cpp
  file.cpp
  file-update.cpp
  filter-chemistry.cpp
  filter-enums.cpp
  gc-anchored.cpp
  gc-finalized.cpp
  gradient-chemistry.cpp
  gradient-drag.cpp
  graphlayout.cpp
  guide-snapper.cpp
  help.cpp
  id-clash.cpp
  inkscape.cpp
  knot-holder-entity.cpp
  knot-ptr.cpp
  knot.cpp
  knotholder.cpp
  layer-fns.cpp
  layer-manager.cpp
  layer-model.cpp
  line-geometry.cpp
  line-snapper.cpp
  main-cmdlineact.cpp
  media.cpp
  message-context.cpp
  message-stack.cpp
  mod360.cpp
  object-hierarchy.cpp
  object-snapper.cpp
  path-chemistry.cpp
  persp3d-reference.cpp
  persp3d.cpp
  perspective-line.cpp
  preferences.cpp
  prefix.cpp
  print.cpp
  profile-manager.cpp
  proj_pt.cpp
  pure-transform.cpp
  rdf.cpp
  removeoverlap.cpp
  resource-manager.cpp
  rubberband.cpp
  satisfied-guide-cns.cpp
  selcue.cpp
  selection-chemistry.cpp
  selection-describer.cpp
  selection.cpp
  seltrans-handles.cpp
  seltrans.cpp
  shortcuts.cpp
  snap-preferences.cpp
  snap.cpp
  snapped-curve.cpp
  snapped-line.cpp
  snapped-point.cpp
  snapper.cpp
  style-internal.cpp
  style.cpp
  svg-view-widget.cpp
  svg-view.cpp
  text-chemistry.cpp
  text-editing.cpp
  transf_mat_3x4.cpp
  unclump.cpp
  unicoderange.cpp
  uri-references.cpp
  uri.cpp
  vanishing-point.cpp
  verbs.cpp
  version.cpp

  # -------
  # Headers
  MultiPrinter.h
  PylogFormatter.h
  TRPIFormatter.h
  attributes-test.h
  attributes.h
  axis-manip.h
  bad-uri-exception.h
  box3d-side.h
  box3d.h
  cms-color-types.h
  cms-system.h
  color-profile-cms-fns.h
  color-profile-test.h
  color-profile.h
  color-rgba.h
  color.h
  colorspace.h
  composite-undo-stack-observer.h
  conditions.h
  conn-avoid-ref.h
  console-output-undo-observer.h
  context-fns.h
  decimal-round.h
  desktop-events.h
  desktop-style.h
  desktop.h
  device-manager.h
  dir-util-test.h
  dir-util.h
  document-private.h
  document-subset.h
  document-undo.h
  document.h
  ege-color-prof-tracker.h
  enums.h
  event-log.h
  event.h
  extract-uri-test.h
  extract-uri.h
  file.h
  fill-or-stroke.h
  filter-chemistry.h
  filter-enums.h
  gc-anchored.h
  gc-finalized.h
  gradient-chemistry.h
  gradient-drag.h
  graphlayout.h
  guide-snapper.h
  help.h
  helper-fns.h
  icon-size.h
  id-clash.h
  inkscape-version.h
  inkscape.h
  isinf.h
  knot-enums.h
  knot-holder-entity.h
  knot-ptr.h
  knot.h
  knotholder.h
  layer-fns.h
  layer-manager.h
  layer-model.h
  line-geometry.h
  line-snapper.h
  macros.h
  main-cmdlineact.h
  marker-test.h
  media.h
  menus-skeleton.h
  message-context.h
  message-stack.h
  message.h
  mod360-test.h
  mod360.h
  number-opt-number.h
  object-hierarchy.h
  object-snapper.h
  object-test.h
  path-chemistry.h
  path-prefix.h
  persp3d-reference.h
  persp3d.h
  perspective-line.h
  preferences-skeleton.h
  preferences-test.h
  preferences.h
  prefix.h
  print.h
  profile-manager.h
  proj_pt.h
  pure-transform.h
  rdf.h
  remove-last.h
  removeoverlap.h
  require-config.h
  resource-manager.h
  round-test.h
  round.h
  rubberband.h
  satisfied-guide-cns.h
  selcue.h
  selection-chemistry.h
  selection-describer.h
  selection.h
  seltrans-handles.h
  seltrans.h
  shortcuts.h
  snap-candidate.h
  snap-enums.h
  snap-preferences.h
  snap.h
  snapped-curve.h
  snapped-line.h
  snapped-point.h
  snapper.h
  splivarot.h
  streq.h
  strneq.h
  style-enums.h
  style-internal.h
  style-test.h
  style.h
  svg-profile.h
  svg-view-widget.h
  svg-view.h
  syseq.h
  test-helpers.h
  text-chemistry.h
  text-editing.h
  text-tag-attributes.h
  transf_mat_3x4.h
  unclump.h
  undo-stack-observer.h
  unicoderange.h
  uri-references.h
  uri-test.h
  uri.h
  vanishing-point.h
  verbs-test.h
  verbs.h
  version.h
)

# -----------------------------------------------------------------------------
# Generate version file
# -----------------------------------------------------------------------------

# a custom target that is always built
add_custom_target(
    inkscape_version ALL
    COMMAND ${CMAKE_COMMAND}
    -DINKSCAPE_SOURCE_DIR=${CMAKE_SOURCE_DIR}
    -DINKSCAPE_BINARY_DIR=${CMAKE_BINARY_DIR}
    -P ${CMAKE_SOURCE_DIR}/CMakeScripts/inkscape-version.cmake)

# buildinfo.h is a generated file
set_source_files_properties(
    ${CMAKE_BINARY_DIR}/src/inkscape-version.cpp
    PROPERTIES GENERATED TRUE)

list(APPEND inkscape_SRC
  ${CMAKE_BINARY_DIR}/src/inkscape-version.cpp
)


# -----------------------------------------------------------------------------
# Load in subdirectories
# -----------------------------------------------------------------------------

# All folders for internal inkscape
# these call add_inkscape_source
add_subdirectory(debug)
add_subdirectory(display)
add_subdirectory(extension)
add_subdirectory(filters)
add_subdirectory(helper)
add_subdirectory(io)
add_subdirectory(live_effects)
add_subdirectory(svg)
add_subdirectory(trace)
add_subdirectory(ui)
add_subdirectory(util)
add_subdirectory(widgets)
add_subdirectory(xml)
add_subdirectory(2geom)

# Directories containing lists files that describe building internal libraries
add_subdirectory(libavoid)
add_subdirectory(libcola)
add_subdirectory(libcroco)
add_subdirectory(inkgc)
add_subdirectory(libgdl)
add_subdirectory(libuemf)
add_subdirectory(libvpsc)
add_subdirectory(livarot)
add_subdirectory(libnrtype)
add_subdirectory(libdepixelize)

get_property(inkscape_global_SRC GLOBAL PROPERTY inkscape_global_SRC)

set(inkscape_SRC
  ${inkscape_global_SRC}
  ${inkscape_SRC}
)

# -----------------------------------------------------------------------------
# Setup the executable
# -----------------------------------------------------------------------------
#add_inkscape_lib(sp_LIB "${sp_SRC}")
#add_inkscape_lib(inkscape_LIB "${inkscape_SRC}")

set(inkview_SRC
  inkview.cpp
)

if(WIN32)
  # Sources for the inkscape executable on Windows.
  set(main_SRC
    registrytool.h
    registrytool.cpp
    main.cpp
    winmain.cpp
    #winconsole.cpp
  )
  
  # Add the platform specific resource files (enabling the app icon).
  if(${HAVE_MINGW64})
    list(APPEND main_SRC inkscape-x64.rc)
    list(APPEND inkview_SRC inkview-x64.rc)
  else()
    list(APPEND main_SRC inkscape.rc)
    list(APPEND inkview_SRC inkview.rc)
  endif()
  
  # Build the windows MS-DOS console executable.
  add_executable(inkscape_com winconsole.cpp)
  set_target_properties(inkscape_com
                        PROPERTIES LINK_FLAGS "-mconsole")
else()
  set(main_SRC main.cpp)
endif()

# Build everything except main and inkview.c in a shared library.
add_library(inkscape_base SHARED ${inkscape_SRC} ${sp_SRC})

# make executables for inkscape and inkview
add_executable(inkscape ${main_SRC})
add_executable(inkview ${inkview_SRC})

add_dependencies(inkscape_base inkscape_version)

if(WITH_DBUS)
    add_dependencies(inkscape_base inkscape_dbus)
endif()

set(INKSCAPE_TARGET_LIBS
        # order from automake
        #sp_LIB
        #nrtype_LIB
        #inkscape_LIB
        #sp_LIB # annoying, we need both!
        nrtype_LIB # annoying, we need both!
        croco_LIB
        avoid_LIB
        cola_LIB
        vpsc_LIB
        livarot_LIB
        uemf_LIB
        2geom_LIB
        depixelize_LIB
        util_LIB
        gc_LIB
        ${INKSCAPE_LIBS}
)

if (NOT "${WITH_EXT_GDL}")
    # Insert it at the beginning of the list as the windows build fails otherwise
    list (INSERT INKSCAPE_TARGET_LIBS 0 "gdl_LIB")
endif()

# Link the inkscape_base library against all external dependencies
target_link_libraries(inkscape_base ${INKSCAPE_TARGET_LIBS})

# Link inkscape and inkview against inkscape_base
target_link_libraries(inkscape inkscape_base)
target_link_libraries(inkview inkscape_base)

if(NOT WIN32)
  #Define the installation
  install(TARGETS
    inkscape_base
    inkscape
    inkview 
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib/inkscape
    ARCHIVE DESTINATION lib/inkscape)
endif()

=== share/patterns/CMakeLists.txt ===
add_custom_command(
  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/patterns.svg.h
  COMMAND python ${CMAKE_CURRENT_SOURCE_DIR}/i18n.py ${CMAKE_CURRENT_SOURCE_DIR}/patterns.svg > ${CMAKE_CURRENT_SOURCE_DIR}/patterns.svg.h
  MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/patterns.svg
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/i18n.py
)
add_custom_target(patterns_svg_h ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/patterns.svg.h)

install(FILES "patterns.svg" "patterns.svg.h" "README" DESTINATION ${INKSCAPE_SHARE_INSTALL}/patterns)

=== src/extension/plugins/grid2/CMakeLists.txt ===
set(grid_PART_SRCS grid.cpp)                                                                      

include_directories( ${CMAKE_BINARY_DIR}/src )

add_library(grid2 SHARED ${grid_PART_SRCS})
                                                                                                              
target_link_libraries(grid2 inkscape_base)

=== packaging/macosx/ports/python/py-gobject/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$

PortSystem      1.0
PortGroup       python 1.0

name            py-gobject
set my_name     pygobject
version         2.28.6
revision        101
epoch           20110613
set branch      [join [lrange [split ${version} .] 0 1] .]
categories-append   gnome
license         LGPL-2.1+
maintainers     jwa openmaintainer
platforms       darwin
python.versions	26 27 33 34

description     Python bindings for GObject.

long_description \
    PyGObject provides a convenient wrapper for the GObject+ library \
    for use in Python programs, and takes care of many of the boring details \
    such as managing memory and type casting. \
    When combined with PyGTK, PyORBit and gnome-python, \
    it can be used to write full featured Gnome applications.

homepage        http://www.pygtk.org/
master_sites    gnome:sources/${my_name}/${branch}/
distname        ${my_name}-${version}
use_xz			yes

checksums       rmd160  4bc5e8546a5029d3d6b154629ab3fa4023d96bef \
                sha256  fb8a1d4f665130a125011659bd347c7339c944232163dbb9a34fd0686577adb8

if {$subport ne $name} {
    depends_build-append   port:pkgconfig
    depends_lib-append     path:lib/pkgconfig/glib-2.0.pc:glib2 \
                port:libffi \
                port:py${python.version}-cairo \
    			port:gobject-introspection

    patch.pre_args  -p1
    patchfiles  patch-pygi-info.c-p1.diff \
                00git_class_init.patch \
                00git_fix_qdata_warning.patch \
                00git_gio_flag_type.patch

    use_configure			yes
    configure.python        ${python.bin}
    configure.env-append    PKG_CONFIG_PATH='${python.prefix}/lib/pkgconfig'
    configure.pre_args      --prefix='${python.prefix}'
    configure.args-append	--disable-glibtest \
                            --enable-introspection=no
    configure.cppflags-append \
                            -I${python.prefix}/include \
        -I${prefix}/include/cairo
    build.cmd		[portbuild::build_getmaketype]
    build.target	

    destroot.cmd            ${build.cmd}
    destroot.target         install
    destroot.destdir        DESTDIR=${destroot}

    test.run        yes
    test.env        PYTHONPATH=[glob -nocomplain ${worksrcpath}/build/lib*]
    test.target     check

    post-destroot {
        set docdir ${prefix}/share/doc/${subport}
        xinstall -d ${destroot}${docdir}
        xinstall -m 0644 -W ${worksrcpath} AUTHORS COPYING ChangeLog NEWS README \
            ${destroot}${docdir}
    }
}

livecheck.type  none

=== packaging/macosx/ports/python/py-sk1libs/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$

PortSystem 1.0
PortGroup python 1.0

name            py-sk1libs
version         0.9.1
revision        101
license         LGPL-2
maintainers     nomaintainer
categories      python graphics
platforms       darwin
homepage        http://sk1project.org/

description     Set of python non-GUI extensions for sK1 Project

long_description \
                sk1libs is a set of python non-GUI extensions for sK1 Project. \
                The package includes multiplatform non-GUI extensions which are \
                usually native extensions. 

distname        sk1libs-${version}
# MacPorts does not properly support URLs with a get parameter.
# Workaround for this bug: https://trac.macports.org/wiki/PortfileRecipes#fetchwithgetparams
master_sites    http://sk1project.org/dc.php?target=${distfiles}&dummy=

checksums       md5     e18088bbc8a105e7535a96f40b80f284 \
                sha1    dd948558128bb6547b1f277087bf3066104912da \
                rmd160  38f22205e0b5b6078e31ec6dc4c1d93845533046

python.versions 25 26 27

if {$subport != $name} {

    depends_lib-append \
        port:freetype \
        port:jpeg \
        port:lcms \
        port:zlib

    depends_run-append \
        port:py${python.version}-pil

    variant Pillow { 
        depends_run-delete port:py${python.version}-pil
        depends_run-append port:py${python.version}-Pillow
    }

    patchfiles \
        patch-src-utils-fs.py.diff \
        patch-src-imaging-libimagingft-_imagingft.c.diff

    post-patch {
        reinplace "s|'/usr/include/freetype2'|'${prefix}/include/freetype2'|g" ${worksrcpath}/setup.py
        reinplace "s|__PREFIX__|${prefix}|g" ${worksrcpath}/src/utils/fs.py
    }
}

default_variants        +Pillow

livecheck.type          regex
livecheck.url           http://sk1project.org/modules.php?name=Products&product=uniconvertor&op=download
livecheck.regex         "sk1libs-(\\d+(?:\\.\\d+)*)${extract.suffix}"

=== packaging/macosx/ports/python/py25-Pillow/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 104088 2013-03-15 14:39:56Z stromnov@macports.org $

PortSystem          1.0
PortGroup           python 1.0

name                py25-Pillow
set real_name       py-Pillow
version             1.7.8
revision            100
categories-append   devel
platforms           darwin
license             BSD

python.versions     25
python.version      25

maintainers         stromnov openmaintainer

description         Python Imaging Library (fork)

long_description    ${description}

homepage            http://github.com/python-imaging/Pillow
master_sites        http://pypi.python.org/packages/source/P/Pillow/

distname            Pillow-${version}
use_zip             yes

checksums           rmd160  e52cec02d943951a80d30b32b1764cb3ae87b283 \
                    sha256  907f5342b1df1d277dcc10df2aeabc61099e5a07e0676b9fcd1bb7379890c0ee

if {$subport == $name} {
    conflicts       py${python.version}-pil

    depends_build       port:py${python.version}-setuptools
    depends_lib-append \
                        port:zlib \
                        port:jpeg \
                        port:tiff \
                        port:lcms \
                        port:webp \
                        port:freetype

    patchfiles          patch-setup.py-v1.7.8.diff \
                        patch-_imagingft.c.diff

    post-patch {
        reinplace "s|@prefix@|${prefix}|g" ${worksrcpath}/setup.py
    }

    livecheck.type      none
#} else {
#    livecheck.type      regex
#    livecheck.url       ${master_sites}
#    livecheck.regex     "Pillow-(\\d+(?:\\.\\d+)*)${extract.suffix}"
}

variant quartz conflicts x11 tkinter {
    # tkinter doesn't build
}

variant x11 conflicts quartz {
    # tkinter does build
}

variant tkinter description {with tkinter support} {
    if {$subport == $name} {
        depends_lib-append  port:py${python.version}-tkinter
    }
}

#if { ![variant_isset quartz] } {
#    default_variants-append +tkinter
#}

default_variants    -tkinter
